Skip to main content
PATCH
/
api
/
admin
/
merchantaccounts
/
{id}
PatchMerchantAccount
curl --request PATCH \
  --url https://test.paysight.io/api/admin/merchantaccounts/{id} \
  --header 'Authorization: <api-key>' \
  --header 'ClientId: <clientid>' \
  --header 'Content-Type: application/json' \
  --header 'UserEmail: <useremail>' \
  --data '{}'
{
  "success": true,
  "message": "<string>",
  "returnVal": {
    "id": 123,
    "mid": "<string>",
    "title": "<string>",
    "companyId": 123,
    "agent": "<string>",
    "acquiringBank": "<string>",
    "gatewayId": 123,
    "enabledMastercard": true,
    "enabledVisa": true,
    "descriptor": "<string>",
    "mcc": "<string>",
    "acquirerBINVisa": "<string>",
    "acquirerBINMastercard": "<string>",
    "psp": "<string>",
    "maxPrice": 123,
    "verticalId": 123,
    "monthlyCap": 123,
    "reservePercentage": 123,
    "discountRatePercentage": 123,
    "gatewayTransactionFee": 123,
    "chargebackFee": 123,
    "routingNumber": "<string>",
    "accountNumber": "<string>",
    "brandId": 123,
    "allowPremiumProgram": true,
    "fullyLive": true,
    "shorthandSuffix": "<string>",
    "defaultCurrency": "<string>",
    "rdrFee": 123,
    "ethocaFee": 123,
    "cdrnFee": 123,
    "allowRetriesFromOtherMids": true,
    "allowInsufficientFundsRetries": true,
    "capLimited": "2023-11-07T05:31:56Z",
    "forceAllowRefunds": true,
    "dynamicDescriptorEnabled": true,
    "dynamicDescriptorPrefix": "<string>",
    "dynamicDescriptorPrefix_MC": "<string>",
    "dynamicDescriptorFormat": 123,
    "bankAuthFee": 123,
    "bankDeclineFee": 123,
    "bankAVSFee": 123,
    "customFee": 123,
    "customFeeApprovedOnly": 123,
    "notes": "<string>",
    "caid": "<string>",
    "chargebackMitigationProviderId": 123,
    "chargebackMitigationNotes": "<string>",
    "processorPortalAccessId": 123,
    "rowVersion": 123,
    "merchantDefinedField1": "<string>",
    "merchantDefinedField2": "<string>",
    "merchantDefinedField3": "<string>",
    "customField1": "<string>",
    "customField2": "<string>",
    "customField3": "<string>",
    "midOwnerId": 123,
    "currencies": [
      {
        "currency": "<string>",
        "gatewayCredentials": {
          "apiKey": "<string>",
          "username": "<string>",
          "password": "<string>",
          "emailAddress": "<string>",
          "processorId": "<string>"
        }
      }
    ],
    "company": "<string>",
    "gateway": "<string>",
    "vertical": "<string>",
    "brand": "<string>",
    "chargebackMitigationProvider": "<string>",
    "processorPortalAccess": "<string>",
    "parentCompanyId": 123,
    "parentCompany": "<string>",
    "requiresZip": true,
    "paymendStoreId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.paysight.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your Paysight API key. You can find it in your Paysight account at https://app.paysight.io/settings/account

Headers

ClientId
string
required

Your Paysight Tenant/Client Id. This is the id of the parent company listed in https://app.paysight.io/management/companies. Alternatively, this will be provided by Paysight

UserEmail
string
required

The email address of the party or group making the request

Path Parameters

id
integer
required

Body

application/json

Partial fields for MerchantAccountPatchDto

Response

200 - application/json

Merchant account patched

success
boolean
message
string
returnVal
object